/*
 *
 * swapout.c  -- Dirty 5Meg of memory, trying to force the machine to
 * swap out processes.
 *
 * Written by Kai Harrekilde-Petersen, Jan 22, 1996.
 * Freely distributable under the GNU General Public License; see the
 * file COPYING for details.
 */

#include <stdlib.h>
#include <stdio.h>
#include <asm/page.h>
#include <errno.h>


#define MEM_SIZE (5 * 1024 * 1024)

void usage( char *prog_name ) 
{
	fprintf( stderr, "Usage: %s [megabytes]\n" );
	fprintf( stderr, "The optional parameter \"megabytes\" defaults to 5\n");	
	exit(1);
}

int main(int argc, char **argv)
{
	char *ptr = NULL;
	int i;
	int mem_size = MEM_SIZE;

	if ( argc > 2 ) {
		usage( argv[0] );
	}
	if ( argc == 2 ) {
		mem_size = 1024*1024*atoi( argv[1] );
	}
	printf( "Trying to allocate %d Meg\n", mem_size/1024/1024 );
	ptr = malloc(mem_size);
	if (!ptr) {
		fprintf( stderr, "Couldn't allocate %d Meg. "
		     "You need kill off a few programs.", mem_size/1024/1024 );
		exit(-ENOMEM);
	}
	for (i = 0; i < mem_size / PAGE_SIZE; i++)
		ptr[i * PAGE_SIZE] = i;
	free(ptr);
	exit(0);
}
