#ifndef _FTAPE_EOF_H
#define _FTAPE_EOF_H

/*
 * Copyright (C) 1994-1995 Bas Laarhoven.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *
 $Source: /homes/cvs/zftape/ftape-eof.h,v $
 $Author: claus $
 *
 $Revision: 1.6 $
 $Date: 1995/12/07 15:39:46 $
 $State: Exp $
 *
 *      Definitions and declarations for the end of file markers
 *      for the QIC-40/80 floppy-tape driver for Linux.
 */

#include "zftape-buffers.h"
/*  failed sector log size (only used if format code != 4).
 */
#define FAILED_SECTOR_LOG_SIZE  (2 * SECTOR_SIZE - 256)

typedef struct {
  __u16 segment;
  __u16 date;
} FailedSectorLogEntry;

typedef union {
  FailedSectorLogEntry mark;
  __u32 entry;              /* only for easier access */
} EofMark;

/*      ftape-eof.c defined global vars.
 */
extern int nr_of_eof_marks;
extern EofMark *eof_map;

/*      ftape-eof.c defined global functions.
 */
extern void ftape_extract_file_marks( byte* address);
extern int ftape_validate_label( char* label);
extern void zftape_eliminate_failed_sector_log(  EofMark *eof_map, int nr_of_eof_marks );

#endif







